Distribution:   CCux
Packager: 	Christian Metzen <metzench@ccux-linux.de>

Name: 		cdparanoia-III
Version: 	10.1
Release: 	1
Epoch:		1
License: 	GPL
Group: 		Multimedia/Audio
Source: 	http://www.xiph.org/paranoia/download/%{name}-%{version}.src.tgz 
Patch0:		cdparanoia-III-destdir.patch
Url: 		http://www.xiph.org/paranoia/index.html
BuildRoot: 	%{_tmppath}/cdparanoia-%{version}-root
Requires: 	cdparanoia-III-libs = %{epoch}:%{version}-%{release}
Summary: 	A Compact Disc Digital Audio (CDDA) extraction tool (or ripper).

%description 
Cdparanoia (Paranoia III) reads digital audio directly from a CD, then
writes the data to a file or pipe in WAV, AIFC or raw 16 bit linear
PCM format.  Cdparanoia doesn't contain any extra features (like the ones
included in the cdda2wav sampling utility).  Instead, cdparanoia's strength
lies in its ability to handle a variety of hardware, including inexpensive
drives prone to misalignment, frame jitter and loss of streaming during
atomic reads.  Cdparanoia is also good at reading and repairing data from
damaged CDs.

%package	devel
Summary: 	Development tools for libcdda_paranoia (Paranoia III).
Group: 		Development/Libraries
Requires: 	cdparanoia-III-libs = %epoch:%{version}-%{release}

%description	devel
The cdparanoia-devel package contains the static libraries and header
files needed for developing applications to read CD Digital Audio disks.

%package	libs
Summary: 	Libraries for libcdda_paranoia (Paranoia III).
Group: 		Development/Libraries

%description	libs
The cdparanoia-libs package contains the dynamic libraries needed for
applications which read CD Digital Audio disks.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
rm -rf $RPM_BUILD_ROOT
export OPT="${CFLAGS:-%optflags} -O0 -Wno-pointer-sign -Wno-unused"
%configure --includedir=%{_includedir}/cdda
make OPT="$OPT"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%post libs
/sbin/ldconfig

%postun libs
if [ "$1" -ge "1" ]; then
  /sbin/ldconfig
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*

%files libs
%defattr(-,root,root)
%{_libdir}/*.so*

%files devel
%defattr(-,root,root)
%{_includedir}/cdda/*
%{_libdir}/*.a

%changelog
* Sun Aug 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:10.1-1
- version update
* Tue Mar 25 2008 Christian Wasem <wasem@ccux-linux.de> alpha9.8-3
- changed package group to Multimedia/Audio
* Fri Apr 06 2007 Christian Metzen <metzench@ccux-linux.de> alpha9.8-2
- rebuild for source rpm
* Mon Apr 17 2004 Christian Metzen <metzench@ccux-linux.de> alpha9.8-1
- Initial release
